# Tag Manager API . accounts

## Instance Methods

Returns the containers Resource.

Returns the permissions Resource.

Gets a GTM Account.

Lists all GTM Accounts that a user has access to.

Updates a GTM Account.

### Method Details

`get(accountId)`

    Gets a GTM Account.

    Args:
      accountId: string, The GTM Account ID. (required)

    Returns:
      An object of the form:

        { # Represents a Google Tag Manager Account.
        "shareData": True or False, # Whether the account shares data anonymously with Google and others.
        "fingerprint": "A String", # The fingerprint of the GTM Account as computed at storage time. This value is recomputed whenever the account is modified.
        "name": "A String", # Account display name.
        "accountId": "A String", # The Account ID uniquely identifies the GTM Account.
      }

`list()`

    Lists all GTM Accounts that a user has access to.

    Args:

    Returns:
      An object of the form:

        { # List Accounts Response.
        "accounts": [ # List of GTM Accounts that a user has access to.
          { # Represents a Google Tag Manager Account.
            "shareData": True or False, # Whether the account shares data anonymously with Google and others.
            "fingerprint": "A String", # The fingerprint of the GTM Account as computed at storage time. This value is recomputed whenever the account is modified.
            "name": "A String", # Account display name.
            "accountId": "A String", # The Account ID uniquely identifies the GTM Account.
          },
        ],
      }

`update(accountId, body, fingerprint=None)`

    Updates a GTM Account.

    Args:
      accountId: string, The GTM Account ID. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Represents a Google Tag Manager Account.
      "shareData": True or False, # Whether the account shares data anonymously with Google and others.
      "fingerprint": "A String", # The fingerprint of the GTM Account as computed at storage time. This value is recomputed whenever the account is modified.
      "name": "A String", # Account display name.
      "accountId": "A String", # The Account ID uniquely identifies the GTM Account.
    }

      fingerprint: string, When provided, this fingerprint must match the fingerprint of the account in storage.

    Returns:
      An object of the form:

        { # Represents a Google Tag Manager Account.
        "shareData": True or False, # Whether the account shares data anonymously with Google and others.
        "fingerprint": "A String", # The fingerprint of the GTM Account as computed at storage time. This value is recomputed whenever the account is modified.
        "name": "A String", # Account display name.
        "accountId": "A String", # The Account ID uniquely identifies the GTM Account.
      }